# Uses of Interface
java.lang.ProcessHandle

Packages that use ProcessHandle
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of ProcessHandle in java.lang

Methods in java.lang that return ProcessHandle
Modifier and Type
Method
Description
`static ProcessHandle`
ProcessHandle.`current()`
Returns a ProcessHandle for the current process.
`ProcessHandle`
Process.`toHandle()`
Returns a ProcessHandle for the Process.
Methods in java.lang that return types with arguments of type ProcessHandle
Modifier and Type
Method
Description
`static Stream<ProcessHandle>`
ProcessHandle.`allProcesses()`
Returns a snapshot of all processes visible to the current process.
`Stream<ProcessHandle>`
Process.`children()`
Returns a snapshot of the direct children of the process.
`Stream<ProcessHandle>`
ProcessHandle.`children()`
Returns a snapshot of the current direct children of the process.
`Stream<ProcessHandle>`
Process.`descendants()`
Returns a snapshot of the descendants of the process.
`Stream<ProcessHandle>`
ProcessHandle.`descendants()`
Returns a snapshot of the descendants of the process.
`static Optional<ProcessHandle>`
ProcessHandle.`of(long pid)`
Returns an `Optional<ProcessHandle>` for an existing native process.
`CompletableFuture<ProcessHandle>`
ProcessHandle.`onExit()`
Returns a `CompletableFuture<ProcessHandle>` for the termination of the process.
`Optional<ProcessHandle>`
ProcessHandle.`parent()`
Returns an `Optional<ProcessHandle>` for the parent process.
Methods in java.lang with parameters of type ProcessHandle
Modifier and Type
Method
Description
`int`
ProcessHandle.`compareTo(ProcessHandle other)`
Compares this ProcessHandle with the specified ProcessHandle for order.